require_relative '../lib/erb_sandbox'

RSpec.describe ErbSandbox do
  it 'renders erb template from code' do
    expect(ErbSandbox.render 'Hello, <%= user %>', user: 'dude').to eq('Hello, dude')
    expect { ErbSandbox.render 'RSpec = <%= RSpec %>' }.to raise_error(ErbSandbox::StatusIsNotZero)
  end

  it 'renders erb template from file' do
    path = File.expand_path('../test_templates/try_to_use_rspec.erb', __FILE__)
    expect { ErbSandbox.render_file path }.to raise_error(ErbSandbox::StatusIsNotZero)

    path = File.expand_path('../test_templates/x_equals.erb', __FILE__)
    expect(ErbSandbox.render_file path, x: 1).to eq('x = 1')
  end
end
